import es
import playerlib
import effectlib
import gamethread
import cmdlib


tazer1x = []

def load():
	es.doblock('corelib/noisy_on')
	cmdlib.registerSayCommand('!tazer', give_tazer, 'tazer')
	
def unload():
	es.doblock('corelib/noisy_off')
	cmdlib.unregisterSayCommand('!tazer')

	
def give_tazer(userid, args):
	team = es.getplayerteam(userid)
	player = playerlib.getPlayer(userid)
	steamid = es.getplayersteamid(userid)

	if team == 3:
		if player.getSecondary():
			es.tell(userid, '#multi', '#lightgreen[ #greenTazer #lightgreen] Du hast bereits eine #darkgreenHandwaffe!')
		else:
			if not steamid in tazer1x:
				es.server.queuecmd("es_xgive %s weapon_glock"% userid)
				es.tell(userid, '#multi', '#lightgreen[ #greenTazer #lightgreen] Du hast ein #darkgreenTazer #lightgreenbekommen!')
				tazer1x.append(steamid)

			else:
				es.tell(userid, '#multi', '#lightgreen[ #greenTazer #lightgreen] Du kannst nur #darkgreen1x #lightgreenpro Runde #darkgreenTazer #lightgreenaufrufen!')
	else:
		es.tell(userid, '#multi', '#lightgreen[ #greenTazer #lightgreen] Du bist kein #darkgreenCounter-Terrorist!')
		
def xweapon(userid):
	es.server.queuecmd('es_xgive %s weapon_knife' % userid)	

def player_hurt(ev):
	userid = int(ev['userid'])
	uweapon = ev['es_userweapon']
	attacker = ev['attacker']
	team = es.getplayerteam(attacker)
	steamid = es.getplayersteamid(userid)
	player = playerlib.getPlayer(userid)
	dmg = int(ev["dmg_health"])
	name = es.getplayername(userid)
	atkname = es.getplayername(attacker)
	myPlayerList = playerlib.getPlayerList('#ct')
	if player.isdead:
		return
		
	if ev['weapon'] == 'glock':
		player.health += dmg
		es.server.queuecmd('es_xgive %s player_weaponstrip' % (userid))
		es.server.queuecmd('es_xfire %s player_weaponstrip strip' % (userid))
		player.freeze(1)
		gamethread.delayed(10.0, player.freeze,(0))
		player.setColor(51, 119, 000, 255)
		gamethread.delayed(10.0, player.setColor,(255, 255, 255, 255))
		gamethread.delayed(10.0, xweapon, (userid))
		for ply in myPlayerList:
			gamethread.delayed(10.0, es.tell,(ply.userid,'#multi', '#lightgreen[ #greenTazer #lightgreen] #darkgreen%s #lightgreenkann sich wieder #darkgreenbewegen!' % (name)))
		if team == 3:
			es.msg('#multi', '#lightgreen[ #greenTazer #lightgreen] #darkgreen%s #lightgreenwurde von #darkgreen%s #lightgreengetazert!' % (name, atkname)) #Tazer Info
			
def weapon_fire(ev):
	userid = ev['userid']
	steamid = es.getplayersteamid(userid)
	player = playerlib.getPlayer(userid)
	if ev['weapon'] == 'glock':
		player.setSecondaryClip(0)
		player.setSecondaryAmmo(0)
		es.server.queuecmd('es_trick dispatcheffect %s teslazap 700'% userid)


def round_start(ev):
	es.msg('#multi', '#lightgreen[ #greenTazer | Advert #lightgreen] Visit/Besuche #darkgreenwww.hd-gamer.de !')
	
def round_end(ev):
	del tazer1x[:]
